net.snowflake.client.util

## Class SecretDetector

- java.lang.Object
- - net.snowflake.client.util.SecretDetector

    public class SecretDetector
    extends Object

Search for credentials in a sql text

### Constructor Summary

Constructors
Constructor and Description
`SecretDetector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `maskAWSSecret(String sql)` mask AWS secret in the input string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecretDetector

    public SecretDetector()

### Method Detail

#### maskAWSSecret

    public static String maskAWSSecret(String sql)

mask AWS secret in the input string

Parameters:
  `sql` -
Returns:
  masked string